jclouds-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Phillips (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCLOUDS-721) Remove dependency on jna 3.4.0
Date Sat, 20 Sep 2014 03:54:34 GMT

    [ https://issues.apache.org/jira/browse/JCLOUDS-721?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14141722#comment-14141722
] 

Andrew Phillips commented on JCLOUDS-721:
-----------------------------------------

PR to fix the underlying issue:

* https://github.com/ymnk/jsch-agent-proxy/pull/19

Two alternative approaches to try to fix this in jclouds:

* https://github.com/jclouds/jclouds/pull/526 (remove)
* https://github.com/jclouds/jclouds/pull/525 (force newer version)

> Remove dependency on jna 3.4.0
> ------------------------------
>
>                 Key: JCLOUDS-721
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-721
>             Project: jclouds
>          Issue Type: Task
>          Components: jclouds-drivers
>    Affects Versions: 1.8.0
>            Reporter: Andrew Phillips
>
> As discovered by [~alex.heneveld], jna 3.4.0, which is pulled in by jsch-agentproxy,
is only LGPL-licensed.
> See http://apache.markmail.org/thread/qqzou2moxj5n5ibv



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message